<?php
  session_start();
 //  error_reporting(E_ALL ^ E_NOTICE);
  error_reporting(E_ERROR);
  define('__ROOT__', dirname(dirname(__FILE__))); 
 //  require_once(__ROOT__.'\siga\html\ClsGeneradorHtml.class.php'); 
  // require_once(__ROOT__.'\siga\ClsCargarIngresos.class.php'); 
  // require_once(__ROOT__.'\siga\Connections\dbms.class.php');
  // require_once(__ROOT__.'\siga\Connections\dbmy.class.php');
  // require_once(__ROOT__.'\siga\clsObjetodeDatos.Class.php');
  

  require_once('html/ClsGeneradorHtml.class.php'); 
  require_once('ClsCargarIngresos.class.php'); 
  require_once('Connections/dbms.class.php');
  require_once('Connections/dbmy.class.php');
  require_once('clsObjetodeDatos.class.php'); 


   
 	$bd =new dbms('mysql','no'); 
	
	$var_post=$_POST;
	$var_get=$_GET;
	
   $ClsCargarIngresos=new ClsCargarIngresos($bd,$var_post,$var_get);
	$clsObjetodeDatos = new clsObjetodeDatos($bd,$var_post,$var_get);
    
   $ClsGeneradorHtml=new ClsGeneradorHtml("","");
 	extract ($_POST);
	extract($_GET);
	function Operaciones($ClsCargarIngresos,$boton,$ClsGeneradorHtml){
			if ($boton=="cmdGestionar"){
				if($ClsCargarIngresos->Validar($ClsGeneradorHtml)){
					$ClsCargarIngresos->Ingresar($ClsGeneradorHtml);
				}			
			}elseif($boton=="Eliminar"){
				$ClsCargarIngresos->Eliminar($ClsGeneradorHtml);
			}
	} 
	function formulario($ClsGeneradorHtml,$ClsCargarIngresos,$clsObjetodeDatos,$var_post){
		extract ($_POST);
		$script="<link rel='stylesheet' href='css/estilos1.css' type='text/css'>";
		$script.="<script src='jquery.min.js' type='text/javascript'></script>";
		$script.="<script src='js/gestion_cargar_ingresos_controller.js' type='text/javascript'></script>";
		$forma= $ClsGeneradorHtml->Pagina_Top("Nuevos Ingresos","",$script);
		echo $forma;
		echo $ClsGeneradorHtml->Pagina_Inicio_Body();
		echo $ClsGeneradorHtml->htmlTable("","0","","100%","center","","bd");
		echo $ClsGeneradorHtml->htmlTd("","","","","hr");
		echo $ClsGeneradorHtml->htmlH("2","left");
		echo "Carga de Nuevos Ingresos";
		echo $ClsGeneradorHtml->htmlFinH("2");
		echo $ClsGeneradorHtml->htmlFinTd();
		echo $ClsGeneradorHtml->htmlFinTable();
		echo $ClsGeneradorHtml->htmlTable("5","0","0","100%","center","","","border:1px solid #ccc;");
		echo $ClsGeneradorHtml->htmlInicioFormulario("POST","frmCargarIngresos","multipart/form-data");
		if(empty($formulario)){
			echo $ClsGeneradorHtml->htmlTr();
			echo $ClsGeneradorHtml->htmlTd("2%").$ClsGeneradorHtml->htmlEtiqueta('Archivo:').$ClsGeneradorHtml->htmlFinTd();
			echo $ClsGeneradorHtml->htmlTd("2%").$ClsGeneradorHtml->htmlCajaTexto('file','','file',30,false,25,'file').$ClsGeneradorHtml->htmlFinTd();
			echo $ClsGeneradorHtml->htmlTd("5%").$ClsGeneradorHtml->htmlEtiqueta('Sede:').$ClsGeneradorHtml->htmlFinTd();
			echo $ClsGeneradorHtml->htmlTd("5%").$ClsGeneradorHtml->htmlSelect($clsObjetodeDatos->GetObjetoDatos($clsObjetodeDatos->GetSelectSede()),"cmbSede","codigo","descripcion",$cmbSede,500,"",false,"cmbSede","width: 206px;").$ClsGeneradorHtml->htmlFinTd();
			echo $ClsGeneradorHtml->htmlFinTr();
			echo $ClsGeneradorHtml->htmlTr();
			echo $ClsGeneradorHtml->htmlTd("2%").$ClsGeneradorHtml->htmlEtiqueta('Turno:').$ClsGeneradorHtml->htmlFinTd();
			echo $ClsGeneradorHtml->htmlTd("5%").$ClsGeneradorHtml->htmlSelect($clsObjetodeDatos->GetObjetoDatos($clsObjetodeDatos->GetSelectTurnos()),"cmbTurnos","codigo","descripcion",$cmbTurnos,500,"",false,"cmbTurnos","width: 206px;").$ClsGeneradorHtml->htmlFinTd();
			echo $ClsGeneradorHtml->htmlTd("10%").$ClsGeneradorHtml->htmlEtiqueta('Modalidad:').$ClsGeneradorHtml->htmlFinTd();
			echo $ClsGeneradorHtml->htmlTd("1%").$ClsGeneradorHtml->htmlSelect($clsObjetodeDatos->GetObjetoDatos($clsObjetodeDatos->GetSelectModalidad()),"cmbModalidad","codigo","descripcion",$cmbModalidad,500,"",false,"cmbModalidad","width: 200px;").$ClsGeneradorHtml->htmlFinTd();
			echo $ClsGeneradorHtml->htmlFinTr();
			echo $ClsGeneradorHtml->htmlTr();
			echo $ClsGeneradorHtml->htmlTd("2%").$ClsGeneradorHtml->htmlEtiqueta('Lapso:').$ClsGeneradorHtml->htmlFinTd();
			echo $ClsGeneradorHtml->htmlTd("1%").$ClsGeneradorHtml->htmlSelect($clsObjetodeDatos->GetObjetoDatos($clsObjetodeDatos->GetSelectPeriodo()),"cmbPeriodo","codigo","descripcion",$cmbPeriodo,500,"",false,"cmbPeriodo","width: 290px;").$ClsGeneradorHtml->htmlFinTd();
			echo $ClsGeneradorHtml->htmlTd("4%","left")."Sobreescribir:".$ClsGeneradorHtml->htmlCheck("chkSobreescribir","chkSobreescribir","", "").$ClsGeneradorHtml->htmlFinTd();
			echo $ClsGeneradorHtml->htmlTd("","left").$ClsGeneradorHtml->htmlBoton("Gestionar", "cmdGestionar").$ClsGeneradorHtml->htmlFinTd();
			echo $ClsGeneradorHtml->htmlFinTr();			
			echo $ClsGeneradorHtml->htmlTr();
			echo $ClsGeneradorHtml->htmlTd("2%",6,6).$ClsGeneradorHtml->htmlEtiqueta('!Advertencia!. El orden de las columnas son NOMBRE,APELLIDO,CEDULA en formato excel').$ClsGeneradorHtml->htmlFinTd();
			echo $ClsGeneradorHtml->htmlFinTr();			

		}else{
		}
		echo $ClsGeneradorHtml->htmlFinTable();
		echo $ClsGeneradorHtml->htmlDiv("DivIngresos","","","DivIngresos");
		echo $ClsGeneradorHtml->htmlFinDiv();
		echo $ClsGeneradorHtml->htmlHidden("formulario",$formulario);
		echo $ClsGeneradorHtml->htmlHidden("hdAccion");
		echo $ClsGeneradorHtml->htmlFinFormulario();
		echo $ClsGeneradorHtml->Pagina_Fin_Body();
		echo $ClsGeneradorHtml->Pagina_Fin_Html();
		
	}

	if (($hdAccion=="cmdGestionar")){
		echo $ClsCargarIngresos->Cargar($_FILES,$var_post,$var_get);
		
		$script.="<link rel='stylesheet' href='css/estilos.css' type='text/css'>";
		$script.="<script src='jquery.min.js' type='text/javascript'></script>";
		$script.="<script src='js/gestion_cargar_ingresos_controller.js' type='text/javascript'></script>";
		$forma= $ClsGeneradorHtml->Pagina_Top("Nuevos Ingresos","",$script);
		echo $forma;
		echo $ClsGeneradorHtml->Pagina_Inicio_Body();
		echo $ClsGeneradorHtml->htmlInicioFormulario("POST","frmCargarIngresos","multipart/form-data");
		$ClsCargarIngresos->sql_consulta($var_post,$var_get,$ClsGeneradorHtml);
		echo $ClsGeneradorHtml->htmlHidden("formulario",$formulario);
		echo $ClsGeneradorHtml->htmlHidden("hdAccion");
		echo $ClsGeneradorHtml->htmlFinFormulario();
		echo $ClsGeneradorHtml->Pagina_Fin_Body();
		echo $ClsGeneradorHtml->Pagina_Fin_Html();	
	}else{
		echo formulario($ClsGeneradorHtml,$ClsCargarIngresos,$clsObjetodeDatos);
	}
	
?> 
